Loading...
Searching...
No Matches
gtsam::Testable< T > Struct Template Reference

## Detailed Description

template<typename T>
struct gtsam::Testable< T >

A helper that implements the traits interface for GTSAM types.

To use this for your gtsam type, define: template<> struct traits<Type> : public Testable<Type> { };

## Public Member Functions

| BOOST_CONCEPT_ASSERT ((HasTestablePrereqs< T >))

## Static Public Member Functions

static void | Print (const T &m, const std::string &str="")
static bool | Equals (const T &m1, const T &m2, double tol=1e-8)

The documentation for this struct was generated from the following file:

- /build/gtsam-Xg031d/gtsam-4.2.0+dfsg/gtsam/base/Testable.h